
local E_LANGUAGE_ARB = 1 -- 
local E_LANGUAGE_EN = 2	-- Ӣ
local E_LANGUAGE_SP = 3	-- 
local E_LANGUAGE_FR = 4	-- 
local E_LANGUAGE_CN = 5	-- 
local E_LANGUAGE_UNKNOW = 6

local LanguageInfo = {
	["Amount"] = 1,
	[0] = {
		["ID"] = E_LANGUAGE_EN,
		["Name"] = "STR_E_LANGUAGE_EN",
		--ԭcn_res.ini
		["ClientStrRes"] = "ini/cn_res_en.ini",
		--ԭserver_cn_res.ini
		["ServerStrRes"] = "ini/server_en_res.ini",
		--ԭserver_key.lua
		["ServerKeyRes"] = "ini/server_key_en.lua",
		--ԭgameannounce.ini
		["GameAnnounceRes"] = "ini/gameannounce_en.ini",
		--ԭini/ShowHandRule.ini
		["ShowHandRuleRes"] = "ini/ShowHandRule_en.ini",
		--ԭini/RouletteRuleRes.ini
		["RouletteRuleRes"] = "ini/RouletteRuleRes_en.ini",
		--ԭani
		["AniRes"] = "ani/control_en.ani",
	},
	--[1] = {
--		["ID"] = E_LANGUAGE_ARB,
--		["Name"] = "STR_E_LANGUAGE_ARB",
--		["ClientStrRes"] = "ini/cn_res_ar.ini",
--		["ServerStrRes"] = "ini/server_ar_res.ini",
--		["ServerKeyRes"] = "ini/server_key_ar.lua",
--		["GameAnnounceRes"] = "ini/gameannounce_ar.ini",
--		["ShowHandRuleRes"] = "ini/ShowHandRule_ar.ini",
--		["RouletteRuleRes"] = "ini/RouletteRuleRes_ar.ini",
--		["AniRes"] = "ani/control_ar.ani",
--	},
}

-- ǰstrLanguageΪAndroidµ.뾡г. ĿΪzh, cn, zh_cn,
-- ṩ.صIDLanguageInfoӦ
local function GetLanguageID(strLanguage)
	local language = E_LANGUAGE_EN
	
	-- 
	if strLanguage == "ar" then
		language = E_LANGUAGE_ARB
	end
	
	-- Ӣ
	if strLanguage == "en" then
		language = E_LANGUAGE_EN
	end
	
	-- 
	if strLanguage == "es" then
		language = E_LANGUAGE_EN
	end
	
	-- 
	if strLanguage == "fr" then
		language = E_LANGUAGE_EN
	end

	-- 
	if strLanguage == "cn" or strLanguage == "zh" or strLanguage == "zh_cn" then
		language = E_LANGUAGE_EN
	end
	
	-- δ֪
	return language
end

-- ṩSDKռ.صIDΧE_LANGUAGE_**
local function GetLanguageParam(strLanguage)
	local language = E_LANGUAGE_UNKNOW
	
	-- 
	if strLanguage == "ar" then
		language = E_LANGUAGE_CN
	end
	
	-- Ӣ
	if strLanguage == "en" then
		language = E_LANGUAGE_EN
	end
	
	-- 
	if strLanguage == "es" then
		language = E_LANGUAGE_EN
	end
	
	-- 
	if strLanguage == "fr" then
		language = E_LANGUAGE_EN
	end

	-- 
	if strLanguage == "cn" or strLanguage == "zh" or strLanguage == "zh_cn" then
		language = E_LANGUAGE_CN
	end
	
	return string.format("\"language\":%d", language)
end

local function GetLanguageAmount()
	return LanguageInfo["Amount"]
end

local function GetLanguageInfo(index, key, default)
    local res = LanguageInfo[index]
    
    if (res == nil) then
        return default
    end
	
	local ret = res[key]
	if (ret ~= nil) then
		return ret
	end
    
    return default
end

local function GetLanguageInfoByID(id, key, default)

	for i,v in ipairs(LanguageInfo) do
		if v~= nil and v.ID == id and v[key] ~= nil then
			return v[key]
		end
	end
    
    return default
end

-- ͷڴ
local function Unload()
	GetLanguageParam = nil
	GetLanguageID = nil
	GetLanguageInfoByID = nil
	GetLanguageInfo = nil
	GetLanguageAmount = nil
end

-- ͨrequireLuaűʹ
local LanguageCfg = {
GetLanguageParam = GetLanguageParam,
	GetLanguageID = GetLanguageID,
	GetLanguageAmount = GetLanguageAmount,
    GetLanguageInfo = GetLanguageInfo,
    GetLanguageInfoByID = GetLanguageInfoByID,
    Unload = Unload,
}

-- C++ʹõglobal
LanguageCfg_GetLanguageParam = LanguageCfg.GetLanguageParam
LanguageCfg_GetLanguageID = LanguageCfg.GetLanguageID
LanguageCfg_GetLanguageAmount = LanguageCfg.GetLanguageAmount
LanguageCfg_GetLanguageInfo = LanguageCfg.GetLanguageInfo
LanguageCfg_GetLanguageInfoByID = LanguageCfg.GetLanguageInfoByID
LanguageCfg_Unload = LanguageCfg.Unload

-- requireֵ
return LanguageCfg