---在WData中配置女性的头像Id
---在MData中配置男性头像Id
	--索引是COP中头像的Id
	--内部的Begin是本段PC头像Id起始（这个头像也会转换）
	--内部的End是本段PC头像Id的最后（这个头像不是转换）
	--在begin到end中间的头像Id都会转换证COP的头像Id
local WData = {
	--显示女勇士头像的Id集合
	[204] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 266,
			["end"] = 267,
		},
		[2] = {
			["Begin"] = 211,
			["end"] = 216,
		},
		[3] = {
			["Begin"] = 204,
			["end"] = 205,
		},
	},
	--显示女战士头像的Id集合
	[203] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 253,
			["end"] = 254,
		},
		[2] = {
			["Begin"] = 217,
			["end"] = 231,
		},
		[3] = {
			["Begin"] = 203,
			["end"] = 204,
		},			
	},
	--显示女弓手头像的Id集合
	[201] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 216,
			["end"] = 217,
		},
		[2] = {
			["Begin"] = 232,
			["end"] = 253,
		},
		[3] = {
			["Begin"] = 201,
			["end"] = 202,
		},
	},
	--显示女忍者头像的Id集合
	[205] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 294,
			["end"] = 295,
		},
		[2] = {
			["Begin"] = 254,
			["end"] = 266,
		},
		[3] = {
			["Begin"] = 205,
			["end"] = 206,
		},
	},
	--显示女武僧头像的Id集合
	[206] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 300,
			["end"] = 306,
		},
		[2] = {
			["Begin"] = 320,
			["end"] = 326,
		},
		[3] = {
			["Begin"] = 267,
			["end"] = 294,
		},
		[4]= {
			["Begin"] = 206,
			["end"] = 207,
		},
	},
	--显示女海盗头像的Id集合
	[207] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 345,
			["end"] = 350,
		},
		[2] = {
			["Begin"] = 350,
			["end"] = 355,
		},
		[3] = {
			["Begin"] = 295,
			["end"] = 300,
		},
		[4] = {
			["Begin"] = 207,
			["end"] = 208,
		},
	},
	--显示女格斗头像的Id集合
	[208] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 355,
			["end"] = 360,
		},
		[2] = {
			["Begin"] = 360,
			["end"] = 365,
		},
		[3] = {
			["Begin"] = 306,
			["end"] = 320,
		},
		[4] = {
			["Begin"] = 208,
			["end"] = 209,
		},
	},
	--显示女道士头像的Id集合
	[202] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 231,
			["end"] = 232,
		},
		[2] = {
			["Begin"] = 326,
			["end"] = 345,
		},
		[3] = {
			["Begin"] = 202,
			["end"] = 203,
		},
	},
	--显示女9头像的Id集合
	[210] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 375,
			["end"] = 376,
		},
		[2] = {
			["Begin"] = 376,
			["end"] = 400,
		},
		[3] = {
			["Begin"] = 201,
			["end"] = 202,
		},
	},
	--显示女铁扇头像的Id集合
	[212] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 365,
			["end"] = 370,
		},
		[2] = {
			["Begin"] = 370,
			["end"] = 375,
		},
		[3] = {
			["Begin"] = 212,
			["end"] = 213,
		},
	},
}

local MData = {
	--显示男勇士头像的Id集合
	[1] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 23,
			["end"] = 24,
		},
		[2] = {
			["Begin"] = 11,
			["end"] = 23,
		},
		[3] = {
			["Begin"] = 1,
			["end"] = 2,
		},
	},
	--显示男战士头像的Id集合
	[2] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 61,
			["end"] = 62,
		},
		[2] = {
			["Begin"] = 24,
			["end"] = 34,
		},
		[3] = {
			["Begin"] = 2,
			["end"] = 3,
		},
	},
	--显示男弓手头像的Id集合
	[3] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 34,
			["end"] = 35,
		},
		[2] = {
			["Begin"] = 35,
			["end"] = 61,
		},
		[3] = {
			["Begin"] = 62,
			["end"] = 63,
		},
		[4] = {
			["Begin"] = 3,
			["end"] = 4,
		},
	},
	--显示男忍者头像的Id集合
	[4] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 103,
			["end"] = 104,
		},
		[2] = {
			["Begin"] = 64,
			["end"] = 103,
		},
		[3] = {
			["Begin"] = 4,
			["end"] = 5,
		},
	},
	--显示男武僧头像的Id集合
	[5] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 109,
			["end"] = 114,
		},
		[2] = {
			["Begin"] = 129,
			["end"] = 134,
		},
		[3] = {
			["Begin"] = 104,
			["end"] = 109,
		},
		[4] = {
			["Begin"] = 5,
			["end"] = 6,
		},
	},
	--显示男海盗头像的Id集合
	[6] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 154,
			["end"] = 159,
		},
		[2] = {
			["Begin"] =159,
			["end"] = 164,
		},
		[3] = {
			["Begin"] = 114,
			["end"] = 129,
		},
		[4] = {
			["Begin"] = 6,
			["end"] = 7,
		},
	},
	--显示男格斗家头像的Id集合
	[7] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 164,
			["end"] = 169,
		},
		[2] = {
			["Begin"] = 169,
			["end"] = 174,
		},
		[3] = {
			["Begin"] = 134,
			["end"] = 154,
		},
		[4] = {
			["Begin"] = 7,
			["end"] = 8,
		},
	},
	--显示男道士头像的Id集合
	[8] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 63,
			["end"] = 64,
		},
		[2] = {
			["Begin"] = 185,
			["end"] = 199,
		},
		[3] = {
			["Begin"] = 8,
			["end"] = 9,
		},
	},
	--显示男9头像的Id集合
	[9] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 184,
			["end"] = 185,
		},
		[2] = {
			["Begin"] = 9,
			["end"] = 10,
		},
	},
	--显示男铁扇头像的Id集合
	[10] = {
		--每段的开头（包含），结尾（不包含）都要按照以下格式添加
		[1] = {
			["Begin"] = 174,
			["end"] = 179,
		},
		[2] = {
			["Begin"] = 179,
			["end"] = 184,
		},
		[3] = {
			["Begin"] = 10,
			["end"] = 11,
		},
	},
}



local function GetWValue(nfaceId)
	for i,v in pairs(WData) do 
		for j, k in pairs(v) do
			if nfaceId >= k["Begin"] and nfaceId < k["end"] then
				return i
			end
		end
	end
	return 201
end

local function GetMValue(nfaceId)
	for i,v in pairs(MData) do 
		for j, k in pairs(v) do
			if nfaceId >= k["Begin"] and nfaceId < k["end"] then
				return i
			end
		end
	end
	return 1
end


local function GetValue(dwLookFace)
	local nSex = math.floor(dwLookFace / 1000) % 10
	local nface = math.floor(dwLookFace / 10000) % 1000

	local nrealValue = 0
	if nSex == 2 then
		nrealValue = GetWValue(nface)
	else
		nrealValue = GetMValue(nface)
	end

	nrealValue = nrealValue *10000 + nSex *1000
	return nrealValue
end


local function Unload()
end

PCtoCOPface = {
	GetWValue = GetWValue,
	GetMValue = GetMValue,
	GetValue = GetValue,
	Unload = Unload,
}

PCtoCOPface_GetMValue = PCtoCOPface.GetMValue
PCtoCOPface_GetWValue = PCtoCOPface.GetWValue
PCtoCOPface_GetValue = PCtoCOPface.GetValue

return PCtoCOPface