local myPermission = {
	amount = 1,
	[0] = {
		["text"] = "STR_PERMISSION_READ_PHONE_STATE",
		["permission"] = "android.permission.READ_PHONE_STATE",
	},

	[1] = {
		["text"] = "STR_PERMISSION_CAMERA",
		["permission"] = "android.permission.CAMERA",
	},
}

local function GetPermissonAmount()
    return myPermission.amount
end

local function GetPermissonTextByIndex(index)
    return myPermission[index]["text"]
end

local function GetPermissonByIndex(index)
    return myPermission[index]["permission"]
end

-- ͷڴ
local function Unload()
    myPermission = nil
end

local permission = {
    GetPermissonAmount = GetPermissonAmount,
    GetPermissonTextByIndex = GetPermissonTextByIndex,
    GetPermissonByIndex = GetPermissonByIndex,
    Unload = Unload,
}

-- C++ʹõglobal
permission_GetPermissonAmount = permission.GetPermissonAmount
permission_GetPermissonTextByIndex = permission.GetPermissonTextByIndex
permission_GetPermissonByIndex = permission.GetPermissonByIndex
permission_Unload = permission.Unload

-- requireֵ
return permission
