--牌桌对应国境服务器cq_dynanpc
--select * from cq_dynanpc where mapid = 4027 and type = 110 and datastr = '7'  order by data3
--data3是入场费，datastr是类型 0-普通，7-疯狂
--##mapid是cq_cop_hall的mapid

local TexasNormalTable = {
nAmount = 5,
--[编号] = {类型 0普通7疯狂, 大盲注10000,入场费     100000},
[0] = {0, 10000,     100000},
[1] = {0, 1000000,   10000000},
[2] = {0, 5000000,   50000000},
[3] = {0, 10000000,  100000000},
[4] = {0, 50000000,  500000000},
}

local TexasCrazyTable = {
nAmount = 6,
[0] = {7, 10000,     100000},
[1] = {7, 1000000,   10000000},
[2] = {7, 5000000,   50000000},
[3] = {7, 10000000,  100000000},
[4] = {7, 50000000,  500000000},
[5] = {7, 100000000, 1000000000},
}

local TexasBoardInfo = {
	CardBg = "MetropolisMainUIHandsBG",
	CardBgDealer = "NewSqu_BackPic",
	MetropolisMainUIHandsBG = 100, -- 牌背缩放比
	NewSqu_BackPic = 50, -- 牌背缩放比
	CardBgSpeed = 0.8, -- 牌背飞的速度
	PublicCardBgSpeed0 = 0.9, -- 牌背飞的速度
	PublicCardBgSpeed1 = 0.7, -- 牌背飞的速度
	PublicCardBgSpeed2 = 0.5, -- 牌背飞的速度
	PublicCardBgSpeed3 = 0.7, -- 牌背飞的速度
	PublicCardBgSpeed4 = 0.9, -- 牌背飞的速度
	PublicCardBgScale = 80, -- 牌背缩放比
	CardBgOffset = {x = 0, y = 0}, -- 手牌牌背偏移
	ColckAmount = 10, --  倒计时
	["cop_txdjsd"] = {x = 51, y = 51},
	["cop_txdjsx"] = {x = 63, y = 64},
	
	--弃牌效果
	[0] = {x = 0, y = -150,}, -- 回收牌结束的位置
	[1] = {x = 100, y = -90,}, -- 回收牌结束的位置
	[2] = {x = 150, y = -20,}, -- 回收牌结束的位置
	[3] = {x = 150, y = 20,}, -- 回收牌结束的位置
	[4] = {x = 0, y = 150,}, -- 回收牌结束的位置
	[5] = {x = 0, y = 150,}, -- 回收牌结束的位置
	[6] = {x = -100, y = 20,}, -- 回收牌结束的位置
	[7] = {x = -150, y = 00,}, -- 回收牌结束的位置
	[8] = {x = -40, y = -100,}, -- 回收牌结束的位置
}

local TexasTableServerName = {
--[HallID] = "服务器名"
[1] = "BabyIcey ",
[2] = "Emerald",
[3] = "Virgo",
[4] = "Honor",
[5] = "Hebby",
[6] = "Volcano",
[7] = "Triumph",
[8] = "Faith",
[9] = "Basilisk",
[10] = "cnzfgj",
[11] = "Eternity",
[12] = "Lion",
[13] = "Lucky7",
[14] = "Scorpio",
[15] = "Snowfall",
[16] = "Phoenix",
[17] = "Venus",
[18] = "Cancer",
[20] = "enzfgj",
[21] = "Freedom",
[22] = "Sunshine",
[23] = "Mausoleum",
[24] = "WildSwan",
[25] = "SnowWhite",
[26] = "Crystal",
[27] = "Lightning",
[28] = "Mercury",
[29] = "Kylin",
[30] = "QAzf13",

}

-- 德州打牌玩家出牌倒计时偏移位置
local TexasBoardClock = {
[0] = { x = -117,   y = 165},
[1] = { x = -390,   y = 147},
[2] = { x = -660,   y = 60},
[3] = { x = -655,   y = -183},
[4] = { x = -320,   y = -330},
[5] = { x = 120,   y = -320},
[6] = { x = 410,  y = -190},
[7] = { x = 456,  y = 36},
[8] = { x = 235,  y = 139},
["CompareCards"] = {x = -100, y = 0},
}

local function GetTexasBoardClock(index, key)
	if not TexasBoardClock[index] then return nil end
	return TexasBoardClock[index][key]
end

local function GetTexasBoardInfo(Type, Axis)
    if (Axis == nil) then 
        return TexasBoardInfo[Type]
    else
        return TexasBoardInfo[Type][Axis]
    end
end

local function GetTexasNormalTableAmount()
	return TexasNormalTable.nAmount
end

local function GetTexasNormalTableInfo(index)
	return TexasNormalTable[index][2]
end

local function GetTexasNormalLowerLimit(index)
	return TexasNormalTable[index][3]
end

local function GetTexasCrazyTableAmount()
	return TexasCrazyTable.nAmount
end

local function GetTexasCrazyTableInfo(index)
	return TexasCrazyTable[index][2]
end

local function GetTexasCrazyLowerLimit(index)
	return TexasCrazyTable[index][3]
end

local function GetTexasServerName(Type)
	return TexasTableServerName[Type]
end

local function Unload()
	TexasNormalTable = nil
	TexasCrazyTable = nil
	TexasBoardInfo = nil
	TexasBoardClock = nil
end

local TexasTable = {
	GetTexasNormalTableAmount = GetTexasNormalTableAmount,
	GetTexasNormalTableInfo = GetTexasNormalTableInfo,
	GetTexasNormalLowerLimit = GetTexasNormalLowerLimit,
	GetTexasCrazyTableAmount = GetTexasCrazyTableAmount,
	GetTexasCrazyTableInfo = GetTexasCrazyTableInfo,
	GetTexasCrazyLowerLimit = GetTexasCrazyLowerLimit,
	GetTexasBoardInfo = GetTexasBoardInfo,
	GetTexasServerName = GetTexasServerName,
	GetTexasBoardClock = GetTexasBoardClock,
	Unload = Unload,
}

--global
TexasTable_GetTexasNormalTableAmount = TexasTable.GetTexasNormalTableAmount
TexasTable_GetTexasNormalTableInfo = TexasTable.GetTexasNormalTableInfo
TexasTable_GetTexasNormalLowerLimit = TexasTable.GetTexasNormalLowerLimit
TexasTable_GetTexasCrazyTableAmount = TexasTable.GetTexasCrazyTableAmount
TexasTable_GetTexasCrazyTableInfo = TexasTable.GetTexasCrazyTableInfo
TexasTable_GetTexasCrazyLowerLimit = TexasTable.GetTexasCrazyLowerLimit
TexasTable_GetTexasBoardInfo = TexasTable.GetTexasBoardInfo
TexasTable_GetTexasServerName = TexasTable.GetTexasServerName
TexasTable_GetTexasBoardClock = TexasTable.GetTexasBoardClock
TexasTable_Unload = TexasTable.Unload

return TexasTable