local EVT_UPDATE = 1						-- 
local EVT_UPDATE_FAIL = 2					-- ʧ
local EVT_ACCOUNT_SERVER_GETLIST_FAIL = 3	-- ȡʷбʧ
local EVT_ACCOUNT_SERVER_LOGIN_FAIL = 4		-- ¼ʷʧ
local EVT_GAME_SERVER_LOGIN_FAIL = 5		-- ¼ηʧ

-- ͳԶ¼
local EventInfo = {
	-- 
	[EVT_UPDATE] = {
		-- Զͳ¼
        ["category"] = "app_update",
		-- Զͳ¼
		["code"]= "update_start",
		-- Զͳ¼
		["name"]="",
		-- Զͳ¼Զ
		["format"]="{\"date\":\"%s\",\"game_client_version\":\"%s\", \"file\":\"%s\"}",
    },
	
	-- ʧ
	[EVT_UPDATE_FAIL] = {
        ["category"] = "app_update",
		["code"]= "update_fail",
		["name"]="ʧ",
		["format"]="{\"date\":\"%s\",\"game_client_version\":\"%s\"}",
    },
	
	-- ȡʷбʧ
	[EVT_ACCOUNT_SERVER_GETLIST_FAIL] = {
        ["category"] = "account_server",
		["code"]= "getlist_fail",
		["name"]="ȡʷбʧ",
		["format"]="{\"date\":\"%s\",\"game_client_version\":\"%s\" \"errorno\":\"%s\"}",
    },
	
	-- ¼ʷʧ
	[EVT_ACCOUNT_SERVER_LOGIN_FAIL] = {
		-- ¼ʷʧ
        ["category"] = "account_server",
		-- Զͳ¼
		["code"]= "login_fail",
		-- Զͳ¼
		["name"]="¼ʷʧ",
		-- Զͳ¼Զ
		["format"]="{\"date\":\"%s\",\"game_client_version\":\"%s\",\"errorno\":\"%s\"}",
    },
	
	-- ¼ηʧ
	[EVT_GAME_SERVER_LOGIN_FAIL] = {
		-- Զͳ¼
        ["category"] = "game_server",
		-- Զͳ¼
		["code"]= "login_fail",
		-- Զͳ¼
		["name"]="¼ηʧ",
		-- Զͳ¼Զ
		["format"]="{\"date\":\"%s\",\"game_client_version\":\"%s\"}",
    },
}

local function GetEventInfo(id, key, default)
	local tInfo = EventInfo[id]
	if (tInfo == nil) then
		return default
	end
	
	local ret = tInfo[key]
	if (ret == nil) then
		return default
	end
	
	return ret
end

local function GetCustomEvent(id, ...)

	local tInfo = EventInfo[id]
	
	if (tInfo == nil) then
		return ""
	end

	local str_format = tInfo['format']
	
	if (str_format == nil) then
		return ""
	end
	--writefile(string.format(str_format,os.date("%Y-%m-%d %H:%M:%S"), ...))
	return string.format(str_format,os.date("%Y-%m-%d %H:%M:%S"), ...)	
end

function writefile(content, mode)
      mode = mode or "w+b"
	  local filename = "analytic.log"
	  local path = filename --cc.FileUtils:getInstance():getWritablePath()..filename
      local file = io.open(path, mode)
      if file then
        if file:write(content) == nil then return false end
        io.close(file)
        return true
      else
        return false
      end
end

local function Unload()
    GetEventInfo 		= nil
	GetCustomEvent = nil
end

local Analytics_Cfg= {
	GetEventInfo = GetEventInfo,
	GetCustomEvent = GetCustomEvent,
    Unload = Unload,
}

-- global
Analytics_Cfg_GetEventInfo = Analytics_Cfg.GetEventInfo
Analytics_Cfg_GetCustomEvent = Analytics_Cfg.GetCustomEvent
Analytics_Cfg_Unload = Analytics_Cfg.Unload

return Analytics_Cfg